SimplePool (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.collections.SimplePool class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.collections
Class SimplePool

    java.lang.Object
      org.apache.tomcat.util.collections.SimplePool

Deprecated.

    public final class SimplePool

extends java.lang.Object

Simple object pool. Based on ThreadPool and few other classes The pool will ignore overflow and return null if empty.

Author:
  Gal Shachor, Costin Manolache

Field Summary
`static int` | `DEFAULT_SIZE` Deprecated.

Constructor Summary
`SimplePool()` Deprecated.
`SimplePool(int size)` Deprecated.
`SimplePool(int size, int max)` Deprecated.

Method Summary
`java.lang.Object` | `get()` Deprecated. Get an object from the pool, null if the pool is empty.
`int` | `getCount()` Deprecated. Number of object in the pool
`int` | `getMax()` Deprecated. Return the size of the pool
`void` | `put(java.lang.Object o)` Deprecated. Add the object to the pool, silent nothing if the pool is full
`void` | `set(java.lang.Object o)` Deprecated.
`void` | `shutdown()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SIZE

    public static final int DEFAULT_SIZE

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### SimplePool

    public SimplePool()

  Deprecated.

### SimplePool

    public SimplePool(int size)

  Deprecated.

### SimplePool

    public SimplePool(int size,
                      int max)

  Deprecated.

Method Detail

### set

    public void set(java.lang.Object o)

  Deprecated.

### put

    public void put(java.lang.Object o)

  Deprecated.
  Add the object to the pool, silent nothing if the pool is full

### get

    public java.lang.Object get()

  Deprecated.
  Get an object from the pool, null if the pool is empty.

### getMax

    public int getMax()

  Deprecated.
  Return the size of the pool

### getCount

    public int getCount()

  Deprecated.
  Number of object in the pool

### shutdown

    public void shutdown()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.